// 003 u_c_bombed_maze_game_3
// 11 dec 2004

// -- Delphi implementation from the book:
// --   Design Patterns Elements of Reusable Object-Oriented Software
// --   Addison Wesley - 1994 - ISBN 0-201-63361-2
// -- (C) Erich GAMMA, Richard HELM, Ralph JOHNSON, John VLISSIDES 1994

// -- translation from C to Delphi performed by
// --   Felix John COLIBRI  http://www.felix-colibri.com

(*$r+*)

unit u_c_bombed_maze_game_3;
  interface
    uses u_c_maze_3
        , u_c_bombed_room_and_wall_3
        , u_c_maze_game_3;

    type c_bombed_maze_game= Class(c_maze_game)
                               constructor create_bombed_maze_game;

                               function f_c_make_room(p_room_number: Integer): c_room; Override;
                               function f_c_make_wall: c_wall; Override;
                             end; // c_bombed_maze_game

  implementation
    uses SysUtils, u_c_display;

    // -- c_bombed_maze_game

    constructor c_bombed_maze_game.create_bombed_maze_game;
      begin
        Inherited create_maze_game;
      end; // create_bombed_maze_game

    function c_bombed_maze_game.f_c_make_room(p_room_number: Integer): c_room;
      begin
        Result:= c_bombed_room.create_bombed_room(p_room_number);
      end; // f_c_make_room

    function c_bombed_maze_game.f_c_make_wall: c_wall;
      begin
        Result:= c_bombed_wall.create_bombed_wall;
      end; // f_c_make_door

  end. // u_c_maze

