// 003 u_c_bombed_room_and_wall_3
// 11 dec 2004

// -- Delphi implementation from the book:
// --   Design Patterns Elements of Reusable Object-Oriented Software
// --   Addison Wesley - 1994 - ISBN 0-201-63361-2
// -- (C) Erich GAMMA, Richard HELM, Ralph JOHNSON, John VLISSIDES 1994

// -- translation from C to Delphi performed by
// --   Felix John COLIBRI  http://www.felix-colibri.com

(*$r+*)

unit u_c_bombed_room_and_wall_3;
  interface
    uses u_c_maze_3;

    type c_bombed_room= Class(c_room)
                          constructor create_bombed_room(p_room_number: Integer);
                        end; // c_bombed_room

         c_bombed_wall= Class(c_wall)
                          constructor create_bombed_wall;
                        end; // c_bombed_wall

  implementation
    uses SysUtils, u_c_display;

    // -- c_bombed_room

    constructor c_bombed_room.create_bombed_room(p_room_number: Integer);
      begin
        Inherited create_room(p_room_number);
      end; // create_bombed_room

    // -- c_bombed_wall

    constructor c_bombed_wall.create_bombed_wall;
      begin
        Inherited create_wall;
      end; // create_bombed_wall

  end. // u_c_maze


